## qcodeeditor 1.0+1gitdc644d

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(QCodeEditor)

set(CMAKE_CXX_STANDARD 11)

option(BUILD_EXAMPLE "Example building required" Off)

if (${BUILD_EXAMPLE})
    message(STATUS "QCodeEditor example will be built.")
    add_subdirectory(example)
endif()

set(RESOURCES_FILE
    resources/qcodeeditor_resources.qrc
)

set(INCLUDE_FILES
    include/QHighlightRule
    include/QHighlightBlockRule
    include/QCodeEditor
    include/QCXXHighlighter
    include/QLineNumberArea
    include/QStyleSyntaxHighlighter
    include/QSyntaxStyle
    include/QGLSLCompleter
    include/QGLSLHighlighter
    include/QLanguage
    include/QXMLHighlighter
    include/QJSONHighlighter
    include/QLuaCompleter
    include/QLuaHighlighter
    include/QPythonHighlighter
    include/QFramedTextAttribute
    include/internal/QHighlightRule.hpp
    include/internal/QHighlightBlockRule.hpp
    include/internal/QCodeEditor.hpp
    include/internal/QCXXHighlighter.hpp
    include/internal/QLineNumberArea.hpp
    include/internal/QStyleSyntaxHighlighter.hpp
    include/internal/QSyntaxStyle.hpp
    include/internal/QGLSLCompleter.hpp
    include/internal/QGLSLHighlighter.hpp
    include/internal/QLanguage.hpp
    include/internal/QXMLHighlighter.hpp
    include/internal/QJSONHighlighter.hpp
    include/internal/QLuaCompleter.hpp
    include/internal/QLuaHighlighter.hpp
    include/internal/QPythonCompleter.hpp
    include/internal/QPythonHighlighter.hpp
    include/internal/QFramedTextAttribute.hpp
)

set(SOURCE_FILES
    src/internal/QCodeEditor.cpp
    src/internal/QLineNumberArea.cpp
    src/internal/QCXXHighlighter.cpp
    src/internal/QSyntaxStyle.cpp
    src/internal/QStyleSyntaxHighlighter.cpp
    src/internal/QGLSLCompleter.cpp
    src/internal/QGLSLHighlighter.cpp
    src/internal/QLanguage.cpp
    src/internal/QXMLHighlighter.cpp
    src/internal/QJSONHighlighter.cpp
    src/internal/QLuaCompleter.cpp
    src/internal/QLuaHighlighter.cpp
    src/internal/QPythonCompleter.cpp
    src/internal/QPythonHighlighter.cpp
    src/internal/QFramedTextAttribute.cpp
)

# Create code for QObjects
set(CMAKE_AUTOMOC On)

# Create code from resource files
set(CMAKE_AUTORCC ON)

# Find includes in corresponding build directories
find_package(Qt5Core    CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(Qt5Gui     CONFIG REQUIRED)

add_library(QCodeEditor STATIC
    ${RESOURCES_FILE}
    ${SOURCE_FILES}
    ${INCLUDE_FILES}
)

target_include_directories(QCodeEditor PUBLIC
    include
)

if(CMAKE_COMPILER_IS_GNUCXX)
    target_compile_options(QCodeEditor
		PRIVATE
		-ansi
		-pedantic
		-Wall
		-Wextra
		-Weffc++
		-Woverloaded-virtual
		-Winit-self
		-Wunreachable-code
	)
endif(CMAKE_COMPILER_IS_GNUCXX)

target_link_libraries(QCodeEditor
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
)

=== example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(QCodeEditorExample)

set(CMAKE_CXX_STANDARD 17)

set(CMAKE_AUTOMOC On)
set(CMAKE_AUTORCC ON)

find_package(Qt5Core    CONFIG REQUIRED)
find_package(Qt5Widgets CONFIG REQUIRED)
find_package(Qt5Gui     CONFIG REQUIRED)

add_executable(QCodeEditorExample
    resources/demo_resources.qrc
    src/main.cpp
    src/MainWindow.cpp
    include/MainWindow.hpp
)

target_include_directories(QCodeEditorExample PUBLIC
    include
)

target_link_libraries(QCodeEditorExample
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    QCodeEditor
)

=== debian/changelog ===
qcodeeditor (1.0+1gitdc644d-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:03 +1100

qcodeeditor (1.0+1gitdc644d-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:36:52 +0000

qcodeeditor (1.0+1gitdc644d-2) unstable; urgency=medium

  * Building without -ansi (Closes: #1041128)

 -- Dima Kogan <dkogan@debian.org>  Sat, 26 Aug 2023 20:47:59 -0700

qcodeeditor (1.0+1gitdc644d-1) unstable; urgency=medium

  * Initial upload into Debian (Closes: #1017551)

 -- Dima Kogan <dkogan@debian.org>  Wed, 17 Aug 2022 11:48:44 -0700

=== debian/control ===
Source: qcodeeditor
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://github.com/Megaxela/QCodeEditor
Vcs-Git: https://salsa.debian.org/debian/qcodeeditor.git
Vcs-Browser: https://salsa.debian.org/debian/qcodeeditor

Package: libqcodeeditor0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt widget for editing/viewing code
 Abilities:
   - Auto parentheses
   - Different highlight rules
   - Auto indentation
   - Replace tabs with spaces
   - GLSL completion rules
   - GLSL highlight rules
   - C++ highlight rules
   - XML highlight rules
   - JSON highligh rules
   - Frame selection
   - Qt Creator styles
 .
 This package contains the run-time libraries

Package: libqcodeeditor-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libqcodeeditor0 (= ${binary:Version}),
         qtbase5-dev
Description: Qt widget for editing/viewing code
 Abilities:
   - Auto parentheses
   - Different highlight rules
   - Auto indentation
   - Replace tabs with spaces
   - GLSL completion rules
   - GLSL highlight rules
   - C++ highlight rules
   - XML highlight rules
   - JSON highligh rules
   - Frame selection
   - Qt Creator styles
 .
 This package contains the build-time libraries
